Bug 173406 - Document runtime.encoding in java.source.ant
Document runtime.encoding in java.source.ant
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Source
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Tomas Zezula
issues@java
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-30 16:02 UTC by Tomas Zezula
Modified: 2009-10-22 23:32 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
:


Attachments
diff file (2.48 KB, patch)
2009-10-09 08:49 UTC, Tomas Zezula
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2009-09-30 16:02:11 UTC
Document runtime.encoding in the java.source.ant.bridge.
Comment 1 Tomas Zezula 2009-10-09 08:49:16 UTC
Created attachment 89164 [details]
diff file
Comment 2 Tomas Zezula 2009-10-09 08:53:21 UTC
Added (documented) the runtime.encoding property to JavaRunner.
The property allows project types to override the default encoding obtained by the FileEncodingQuery.
Use case: The application requires different encoding than the source of the project (handled by FileEncodingQuery).
Comment 3 Jesse Glick 2009-10-15 15:06:36 UTC
[JG01] Use the new constant in ProjectRunnerImpl (and incr dep java.source.ant -> java.project).


BTW why are the constants defined in JavaRunnerImplementation? To satisfy the goal of permitting API clients to use only
**.api.** packages they should be in JavaRunner I think.
Comment 4 Tomas Zezula 2009-10-19 14:02:47 UTC
JG01: Fixed the JavaRunnerImpl uses the const rather than string.
>BTW why are the constants defined in JavaRunnerImplementation?
I don't understand this question. The constants are defined in the JavaRunner.
Comment 5 Tomas Zezula 2009-10-19 14:15:38 UTC
Fixed in jet-main #aea524a242b4
Comment 6 Quality Engineering 2009-10-22 23:32:59 UTC
Integrated into 'main-golden', will be available in build *200910221401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/aea524a242b4
User: Tomas Zezula <tzezula@netbeans.org>
Log: #173406:Document runtime.encoding in java.source.ant


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo